<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="new-compensationday">
    <form class="ui form" id="compensationdays-form" method="post" th:object="${compensationday}" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_COMPENSATIONDAYS_SAVE}}">
      <input type="hidden" th:field="${compensationday.id}" />
      <input type="hidden" th:field="${compensationday.created}" />
      <input type="hidden" th:field="${compensationday.createdBy}" />
      <input id="limit" th:if="${limit} != null" th:value="${limit}" type="hidden" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_COMPENSATIONDAYS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_COMPENSATIONDAYS}}"></span>
      </h2>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: text(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}, 
                                                 field = 'name', 
                                                 required = true, 
                                                 placeholder = '',
                                                 maxlength = 50,
                                                 columnsize = 'sixteen wide'
                                                 )" />
      </div>
      <div class="fields" th:if="!${update}">
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
					                                                   field = 'startDay', 
					                                                   required = true,
					                                                   value = ${#dates.format(compensationday.startDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'eight wide'
					                                                   )" />
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
					                                                   field = 'endDay', 
					                                                   required = true,
					                                                   value = ${#dates.format(compensationday.endDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'eight wide'
					                                                   )" />
      </div>
      <div class="fields" th:if="${update}">
        <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}, 
					                                                   field = 'day', 
					                                                   required = true,
					                                                   value = ${#dates.format(compensationday.day, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
					                                                   placeholder = 'Choose the day',
					                                                   columnsize = 'eight wide'
					                                                   )" />
      </div>
      <br />
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
                                                                      	icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
                                                                      	icon1url = ''
                                                                      	)" />
    </form>
  </th:block>
</body>
</html>
